package de.accso.flexinale.infrastructure.security;

import de.accso.flexinale.domain.dao.AbstractDao;
import de.accso.flexinale.shared_kernel.Identifiable;

import java.util.List;
import java.util.Optional;

public interface BenutzerDao extends AbstractDao<BenutzerEntity> {

    @Override
    Optional<BenutzerEntity> findById(final Identifiable.Id id);

    List<BenutzerEntity> findByName(String name);

    Optional<BenutzerEntity> findByLogin(String login);
}
